Device 16F876A 
 '-------------------------------------------------------------------------------------- 
'Config XT_OSC , WDT_OFF , PWRTE_ON , BODEN_OFF , LVP_OFF , CP_Off ', MCLRE_OFF 

Xtal 4 
All_Digital = 1
' Declare Optimiser_Level =1

'--------------------------------------------------------------------------------------
Symbol T0IF = INTCON.2 ; TMR0 Overflow Interrupt Flag
Symbol T0IE = INTCON.5 ; TMR0 Overflow Interrupt Enable
Symbol GIE = INTCON.7  ; Global Interrupt Enable
 '---------------------------------- ------------------------------------------------- 
'PortB_Pullups = On   '     PORTB  
 TRISA = %11111111 
 TRISB = %00000000 
 '----------------------------------- -----------------------------------------   
 Symbol SH_CP = PORTB.0 
 Symbol DS    = PORTB.1 
 Symbol ST_CP = PORTB.2 
 Symbol R1    = PORTB.3 
 Symbol R2    = PORTB.4 

 Dim BIG       As Dword '   
 Dim BIG2      As Dword
 Dim BIG1      As BIG.HighWord
 Dim OldSec    As Byte
 Dim Second    As Byte
 Dim SecondINT As Byte
 Dim n         As Byte 
 Dim Value     As Byte 

' 		All_Digital=1
' TimeDelCount = ERead 0 
' If TimeDelCount = 1 Then 
' Kor_Clock = ERead 1 
' Else 
' Kor_Clock = 4000 
' EWrite 1, [Kor_Clock] ' ii oiie?aie? eee a?oaia ?enei!!!! 
' EWrite 0, [1] 
' EndIf		

'BIG2 = 1004000 - Kor_Clock '  BIG2 1004000 -  EEPROM Ror_Clock
                          ;   BIG2   1000000 
'BIG = BIG2                ;     BIG
'TimeDelCount = 0

'--------------------------  TMR0   --------------------
OPTION_REG = %10000111
TMR0 = $00                                                   '   TMR0
T0IE = 1                                                                    
GIE = 1                                                      '   
BIG = 1000000

'GIE = 1 : T0IE = 1                                                                    

        On_Interrupt GoTo MYINT
        GoTo Start	                                         '    
        
MYINT:
   Context Save                         
       If T0IF = 1 Then  Dec big1 '= big1 - 1
       OldSec = Second
       If BIG < 0 Then BIG = BIG + 1000000 : Inc SecondINT 
       T0IF = 0                                              '    TOIF  TMRO
   Context Restore                                           '           

 '------------------------------------- --------------------------------------------- 
Start:
Second = 0
TRISB = 0

Loop:
   If Second <> SecondINT Then                 ; SECOND   SECONDS   
      Second = SecondINT
      If SecondINT > 59 Then                 ;    59 .. 60
         SecondINT = 0  
         Second = 0                          ;    0
      EndIf   
    EndIf

    If OldSec <> Second Then GoSub Disp
  GoSub Disp
GoTo Loop
End

Disp:
   TRISB = 0
   n = Second Dig 1                          '     
   GoSub Convert                             '     ]
   R1 = 1
   GoSub PauseLED
   R1 = 0                                    '   
   
   n = Second Dig 0                          '     
   GoSub Convert                             '      
   R2 = 1
   GoSub PauseLED
   R2 = 0                                    '   
Return


 '--------------------- -----------------------------------   
Convert:
   Value = LookUpL n, [192,249,164,176,153,146,130,248,128,144] 
   SHOut DS, SH_CP, MsbFirst, [Value]   
   ST_CP = 1 
   ST_CP = 0 
Return 
    
PauseLED:              
 For n = 0 To 200
 Next n
Return   
